/*
 Theme Name:   	Agrica Child
 Theme URI: 	https://themelocker.tech/wordpress/agrica
 Description:  	This is a child theme for Agrica - Organic Farm Agriculture WordPress Theme
 Author:       	Validthemes
 Author URI:   	https://themeforest.net/user/validthemes/portfolio
 Template:     	agrica
 Version:      	1.0
 Tags:         	two-columns, three-columns, left-sidebar, right-sidebar, flexible-header, custom-background, custom-colors, custom-header, custom-menu, theme-options, editor-style, featured-images, microformats, post-formats,  sticky-post, threaded-comments, translation-ready
 Text Domain:  	agrica-child
*/

/*  [ Add your custom css below ]
- - - - - - - - - - - - - - - - - - - - */

/* Varialbes */
:root {
    /* --font-default: 'Outfit', sans-serif;
    --font-secondary: 'Shadows Into Light Two', cursive;
    --fontawesome: "Font Awesome 5 Pro";
    --black: #000000;
    --dark-secondary: #1F1E17;
    --white: #ffffff; */
    --dark: #620D10;
    --color-secondary: #ED1C24;
    --color-primary: #FAB12F;
    --shade-1: #C31A21;
    /* --color-heading: #04000b;
    --color-paragraph: #666666;
    --box-shadow-primary: -1px 3px 10px 0 rgba(0, 0, 0, 0.6);
    --box-shadow-secondary: 0 10px 30px 0 rgba(44, 130, 237, 0.4);
    --box-shadow-regular: 0px 2px 12px 0px #e7e7e7;
    --bg-gray: #e9f1ee;
    --bg-gradient: linear-gradient(97deg, #49a760 50%, rgba(252,197,27,1) 100%); */
}

/* Custom Breadcrumb Background for each different page */
/* 1. About Us */
.page-id-3048 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/02/kilang-beras.jpg);
}

/* 2. Product */
.post-type-archive-product .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/02/product-cover.jpg);
}

/* 3. Quality */
.page-id-3953 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/02/quality-cover.jpg);
}

/* 4. Contact Us */
.page-id-2667 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/02/contact-us.jpg);
}

/* 5. CSR */
.page-id-3053 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-csr.jpg);
}

/* 6. Info Hub */
/* Info Hub */
.page-id-3055 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-news.jpg);
}
/* Healthy */
.category-55 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-healthy.jpg);
}
/* Recipes */
.category-51 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-recipe.jpg);
}
/* Activity */
.category-52 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-activity.jpg);
}
/* News */
.category-54 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-news.jpg);
}
/* Career */
.category-53 .breadcrumb-area {
    background-image: linear-gradient(rgba(255, 0, 0, 0.2),rgba(255, 0, 0, 0.2)), url(/wp-content/uploads/2026/03/backdrop-career.jpg);
}


.banner-style-two h2 {
    text-transform: unset;
	font-size: 55px;
}


/* Tablet Layout: 768px.*/
@media only screen and (max-width: 1023px) {
	.banner-style-two h2 {
		font-size: 40px;
	}

	.banner-area.banner-style-two {
    	height: calc(100vh - 85px) !important;
    }
}

@media only screen and (min-width: 1024px) and (max-width: 1199px){
	nav.navbar.navbar-style-one img.logo.desktop {
		padding: 0px 10px;
	}
}

@media (min-width: 1024px) {
	nav.navbar.navbar-style-one .navbar-header {
    	position: relative;
	}

    nav.navbar.navbar-style-one a.navbar-brand::before {
        /* border-left: 25px solid white; */
        border-left: none;
		
		/* dari parent theme */
/* 		position: absolute;
        right: -25px;
        bottom: -45px;
        content: "";
        border-bottom: 35px solid transparent;
        opacity: 0.9; */
    }

    nav.navbar.navbar-style-one a.navbar-brand::after {
        background: white;
        border-radius: 0 0 10px 10px;
		
		/* dari parent theme */
		position: absolute;
        left: 0;
        top: -55px;
        content: "";
        height: 160px;
        width: 100%;
        z-index: -1;
        box-shadow: 0 8px 25px 0 rgb(0 0 0 / 10%);
    }
	
	/* Hide About Us > About Faiza -- Only for mobile */
	#navbar-menu #menu-item-4686 {
		display: none;
	}
}

.navbar-brand>img {
    height: 90px !important;
}



.faiza-flex {
    display: flex;
}

@media only screen and (max-width: 767px) {
    .elementor-widget-agricaaboutus .counter {
        font-size: 40px !important;
    }
	
	.faiza-flex {
        gap: 40px !important;
    }
}

.elementor-widget-agricaaboutus {
    .feature-style-one-item img {
        border-radius: 5px;
    }
}

.elementor-widget-agricachoseus {
    /* .choose-us-style-two-info {
        margin-top: 0px;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    } */

    .choose-us-style-two-area {
        position: inherit;
        /* background-image: url(/wp-content/uploads/2026/02/taj-mahal-sm.png);
        background-repeat: no-repeat;
        background-size: 40% auto;
        background-position: right center; */

        /* &::after {
            width: 100%;
        } */

        ul.list-simple li::after {
            background: var(--color-primary);
        }
    }
}

/* .half-bg-dark-bottom::after {
    position: absolute;
    left: 0;
    bottom: 0;
    content: "";
    height: 30%;
    width: 100%;
    background: var(--white);
    z-index: -1;
} */

.half-bg-dark-bottom::before {
    position: absolute;
    left: 0;
    top: 0;
    content: "";
    height: 100%;
    width: 100%;
    background: url(/wp-content/themes/agrica-child/assets/services-bg.png);
    z-index: -1;
    background-position: center top;
    background-color: #F0E5E5;
}

/* Choose Us Style Two */
.choose-us-style-two-area .shape {
    background-size: cover;
    background-position: center;
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 45%;
}

/* Tablet Layout: 768px.*/
@media only screen and (min-width: 768px) and (max-width: 991px) {
    /* Choose Us Style Two */
    .choose-us-style-two-area .shape {
        position: relative;
        height: 400px;
        width: 100%;
    }
}


/* Mobile Layout: 320px. */
@media only screen and (max-width: 767px) {
    /* Choose Us Two */
    .choose-us-style-two-area .shape {
        position: relative;
        min-height: 350px;
        width: 100%;
        background-position: center;
    }
}


/* Choose Us Style Three */
.choose-us-style-three-area ul li {
    background-image: url(/wp-content/themes/agrica-child/assets/verify.png);
    background-repeat: no-repeat;
    line-height: 24px;
    padding-left: 60px;
    padding-bottom: 20px;

    .list-title {
        font-size: 20px;
        font-weight: 600;
    }
}

.choose-us-style-three-area ul.list-item li::after {
    content: none;
}


.commitment p {
    color: white;

    
}

.commitment .swiper-slide-inner img {
    border-radius: 0 25px 25px 0;
}


.footer-about-us {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;

    a.btn {
/*         padding: 5px 8px; */
/*         margin-right: 10px; */
        width: 100%;
		line-height: 50px;
        text-align: center;
        background-color: var(--color-secondary);
        color: white;
        border-radius: 5px;
		
		i {
			font-size: 20px !important;
		}
    }
}

.f-items.default-padding {
    padding-top: 40px;
    padding-bottom: 50px;
}

@media only screen and (max-width: 767px) {
    .f-items.default-padding {
        padding-top: 0px;
        padding-bottom: 60px;
    }
}

nav.navbar.navbar-style-one::after {
    left: 0px;
}

nav.navbar.navbar-style-one.no-background::before {
    left: 0px;
}

/* nav.navbar.navbar-style-one .attr-right {
	display: none;
} */

body:not(.home) nav.navbar {
    background-color: #A6191E !important;
    position: relative !important;
}

body.home {
	nav.navbar.validnavs.navbar-fixed img.logo.logo-mobile {
		display: block !important;
	}
	nav.navbar.validnavs.navbar-fixed img.logo.logo-mobile-white {
		display: none !important;
	}
}

body:not(.home) {
	nav.navbar.validnavs.navbar-fixed img.logo.logo-mobile {
		display: none !important;
	}
	nav.navbar.validnavs.navbar-fixed img.logo.logo-mobile-white {
		display: block !important;
	}
	
	nav.navbar.validnavs .navbar-header .navbar-toggle i {
		color: white;
	}
}

@media (min-width: 1024px) {
	body.wp-theme-agrica nav.navbar.validnavs.navbar-fixed {
		img.logo.logo-mobile,
		img.logo.logo-mobile-white {
			display: none !important;
		}
	}
}

/* @media (min-width: 1024px) {

    nav.navbar.navbar-style-one {
        padding: 0;
    }
} */

.timeline-item {
    .vt-year {
        font-size: 30px;
    }

    .vt-title {
        line-height: 1.5;
    }
}

.timeline-area.default-padding {
    padding-bottom: 60px;
}

@media only screen and (min-width: 768px) {
    .timeline-items {
        grid-template-columns: repeat(6, 1fr);
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    /* Choose Us Style Two */
    .timeline-items {
        grid-column-gap: 10px;
    }
}

@media only screen and (max-width: 767px) {
    .col-lg-12:has(> .timeline-items) {
        padding-left: 20px;
        padding-right: 20px;
    }
}



.vt-products .product-category.product {
    h2 {
        position: absolute;
        color: white;
    }
}


.home-hub a {
    color: white;
}

.wp-child-theme-agrica-child .d-flex {
    height: initial;
	flex-direction: initial;
}

div:has(> #dynamic-ec-store-container) {
	margin-top: 40px;
}

/* .ecwid-shopping-cart-search {
	padding: 10px;
} */

html#ecwid_html body#ecwid_body .ec-size .ec-store button {
	overflow: hidden !important;
}

html#ecwid_html body#ecwid_body .ec-minicart.ec-minicart--pill.ec-minicart--bottom {
    border: none;
    background-color: var(--color-primary);
    color: white;
}

html#ecwid_html body#ecwid_body .ec-minicart.ec-minicart--pill.ec-minicart--bottom:hover {
    background-color: #df9818;
}

html#ecwid_html body#ecwid_body .ec-minicart--pill .ec-minicart__icon .icon-default path[stroke] {
    stroke: white;
}

@media only screen and (min-width: 1024px) {
    body:not(.home) nav.navbar li.menu-item-type-ecwid_menu_item {
        background-color: var(--color-primary);
    }
     
    body.home nav.navbar li.menu-item-type-ecwid_menu_item {
        background-color: var(--color-primary);
    }
    
    nav.navbar li.menu-item-type-ecwid_menu_item {
        border-radius: 5px;

        >a {
            text-shadow: 2px 2px 8px #666666;
        }
    }
}
    
@media only screen and (max-width: 1023px) {
    nav.navbar.validnavs .navbar-nav>li.menu-item-type-ecwid_menu_item >a {
        padding-right: 10px !important;
        padding-left: 10px !important;
        background-color: var(--color-secondary) !important;
        color: white !important;
    }
}


.contact-us-table {
    table, tr, td {
        border: none !important;
        text-align: left;
        vertical-align: top;
    }
    
    td div {
        line-height: 1.5;
        margin-bottom: 8px;
    }
    
    table {
        margin-top: -6px;
    }
    
    i.fas {
        border: 1px dashed rgba(255, 255, 255, 0.3);
        border-radius: 50%;
        background-color: rgba(255, 255, 255, 0.1);
        font-weight: 300;
        color: white;
        width: 45px;
        height: 45px;
        line-height: 45px;
        text-align: center;
        font-size: 18px;
    }
}

/* Contact Us */
select {
    background-position-y: 50%;
}

.contact-form-style-one select {
    margin-bottom: 15px;
    padding: 15px 20px;
    border: none;
    background-color: #f8f8f8;
    font-size: 14px;
}

.banner-style-two .content .animated-btn {
	background-color: var(--color-primary);
	padding: 25px 15px;
	border-radius: 10px;
	text-shadow: 2px 2px 8px #666666;
}